$  Copyright(c) 1995 Sun Microsystems, Inc.
$  All rights reserved.

$  #ident  "@(#)ffbtest.msg  1.14  99/03/13  SMI"

$ ------- Verbose Messages ---
$ FFB_CURRENT_VIDEO_MODE
1074  Current Video Mode: %d (%d x %d)\n

$ FFB_FFBTEST_ARGUMENTS
1077  %s specific arguments [defaults]:\n\n\
    Separate multiple parameters with commas.  For example:\n\
      ffb -o dev=ffb1,S=0x9,B=2\n\n\
    dev=device_name :\n\
      Device under test (assumed in /dev/fbs directory) [device_name = ffb0].\n\n\
    S=n   : Subtests to be run. The following subtests can be selected:\n\n

$ FFB_FFBTEST_TESTS
1078 \
      - 3DRAM                           (n = 0x%05x)\n\
      - 3DRAM Logic                     (n = 0x%05x)\n\
      - RAMDAC                          (n = 0x%05x)\n\
      - Rendering Pipeline              (n = 0x%05x)\n\
      - Fast Fill/Vertical Scroll       (n = 0x%05x)\n\
      - Pixel Processor                 (n = 0x%05x)\n\
      - Picking                         (n = 0x%05x)\n\
      - Arbitration                     (n = 0x%05x)\n\
      - Stereo                          (n = 0x%05x)\n\n

$ FFB_FFBTEST_MULTIPLE_TESTS
1079  More than one subtest can be selected by ORing\n\
      their subtest numbers. Example: n = 0x%05x means\n\
      3DRAM and Rendering Pipeline Tests. A hex number must be\n\
      proceeded by 0x, decimal numbers are also acceptable.\n\
      [n = 0xff]\n\n

$ FFB_FFBTEST_SETTINGS
1080  F=n       : Number of times to repeat each subtest [n = 1].\n\n\
      B=n       : Number of times to repeat test loop before passing [n = 1].\n\n\
      P=pattern : test pattern - r for random, 0 for 0x00000000, \n\
      3 for 0x33333333, 5 for 0x55555555, or 9 for 0x9999999. \n\
      [pattern=r]\n\n

$ FFB_MESSAGE
1081  Message received from VTS kernel:  Type %d %s\n

$ FFB_QUICKTEST
1082  "Starting Quick Test."

$ FFB_QUICKTEST_DONE
1083  "Quick Test Done."

$ FFB_STRESSTEST
1084  "Starting Stress Test."

$ FFB_STRESSTEST_DONE
1085  "Stress Test Done."

$ FFB_3DRAMTEST
1086  "Starting 3DRAM Test."

$ FFB_3DRAMTEST_DONE
1087  "3DRAM Test Done."

$ FFB_3DRAMTEST_LOGIC
1088  "Starting 3DRAM Logic Test."

$ FFB_3DRAMTEST_LOGIC_DONE
1089  "3DRAM Logic Test Done."

$ FFB_RAMDACTEST
1090  "Starting RAMDAC Test."

$ FFB_RAMDACTEST_DONE
1091  "RAMDAC Test Done."

$ FFB_RENDERTEST
1092  "Starting Rendering Pipeline Test."

$ FFB_RENDERTEST_DONE
1093  "Rendering Pipeline Test Done."

$ FFB_VERTICALTEST
1094  "Starting Fast Fill/Vertical Scroll Test."

$ FFB_VERTICALTEST_DONE
1095  "Fast Fill/Vertical Scroll Test Done."

$ FFB_PIXELTEST
1096  "Starting Pixel Processor Test."

$ FFB_PIXELTEST_DONE
1097  "Pixel Processor Test Done."

$ FFB_PICKINGTEST
1098  "Starting Picking Test."

$ FFB_PICKINGTEST_DONE
1099  "Picking Test Done."

$ FFB_ARBTEST
1100  "Starting Arbitration Test."

$ FFB_ARBTEST_DONE
1101  "Arbitration Test Done."

$ FFB_STEREOTEST
1102  "Starting Stereo Test."

$ FFB_STEREOTEST_DONE
1103  "Stereo Test Done."

$ FFB_CHECK_LEFT
1105     checking left stereo image

$ FFB_CHECK_RIGHT
1106     checking right stereo image

$ FFB_CHECK_IMAGE
1107     checking image

$ FFB_CHECK_SFB_IMAGE
1108     checking single frame buffer image

$ FFB_CHECK_DBZ_IMAGE
1109     checking double frame buffer image

$ FFB2_CHECK_LEFT
1110     checking ffb2 left stereo image

$ FFB2_CHECK_RIGHT
1111     checking ffb2 right stereo image

$ FFB2_CHECK_SFB_IMAGE
1112     checking ffb2 single frame buffer image

$ FFB2_CHECK_DBZ_IMAGE
1113     checking ffb2 double frame buffer image

$ FFB2_CHECK_HIRES_IMAGE
1114     checking hires frame buffer image

$ ------- Warnings ----------
$ FFB_DOWNREV_HW
4069  Can not run Stress test mode.\nInstalled FFB has down rev hardware - defaulting to regular test mode.\n

$ FFB_UNSUPPORTED_SCREEN
4070  Unsupported screen resolution - skipping RAMDAC test\n

$ FFB_GRAB_WINDOW_WARNING
4053  DGA error grabbing window on screen %d.\n

$ FFB_MONITOR_NOT_STEREO
4073  Stereo not supported on current monitor type: %d.\n \
Recommended_Action(s): <To remove this warning message, disable 'stereo test'.>

$ FFB_DELETING_LOCK_FILE
4115  warning: deleting stale lock file: %s\n \
Recommended_Action(s): <When running multiple ffb's, a lock file is used to avoid untarring file problems.\n \
If this warning is followed by a tar error, please delete all files in the /tmp directory and run tests \
again. \n If problem persists, untar the file /opt/SUNWvts/bin/ffbtest.data and uncompress all the resulting \
files, they will be in your /tmp directory.>

$ FFB_INVALID_SUB_OPTION
4116  Ignoring invalid option : %s\n \
Recommended_Action(s): <>

$ FFB_INVALID_SUB_OPTION_VALUE
4117  Ignoring invalid value %s for %s and using default value\n \
Recommended_Action(s): <>

$ ------- Errors/Fatal -------
$ FFB_GCOPY_ERROR
6115  %s error: 3DRAM Memory error testing %s\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly GCopy error.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_GCOPY_F2M_ERROR
6116  %s error: 3DRAM Memory error testing %s\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly GCopy FFB to Memory error.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_GCOPY_M2F_ERROR
6117  %s error: 3DRAM Memory error testing %s\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly GCopy Memory to FFB error.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX8_ERROR
6000  %s error: 3DRAM Memory error in %s Plane\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.2x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.2x in %s\n\
  Xor = 0x%0.2x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX24_ERROR
6002  %s error: 3DRAM Memory error in %s Plane\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.6x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.6x in %s\n\
  Xor = 0x%0.6x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX32_ERROR
6004  %s error: 3DRAM Memory error in %s Plane\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX64_A_ERROR
6006  %s error: 3DRAM Memory error in Buffer A\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX64_B_ERROR
6008  %s error: 3DRAM Memory error in Buffer B\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PIX64_C_ERROR
6010  %s error: 3DRAM Memory error in Buffer C\n\
  Source      (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Destination (x,y) = (%d,%d), address = 0x%0.8x, data = 0x%0.8x in %s\n\
  Xor = 0x%0.8x, failing UPAS %s\n\
Probable_Cause(s): <Faulty 3DRAM, or possibly host memory error during gcopy operation.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_NOT_64
6012  %s error:  Misaligned raster.\n  \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_FILE_NOT_FOUND
6013  File Not Found\n  Could not open file %s.\n  \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_OPEN_FILE_FAILED
6014  Could not open file %s: %s.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_KEY_NOT_FOUND
6015  Keyword not Found, line %d\n \
Probable_Cause(s): <Software error.> <Suspect data file corruption.>\n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_CHECK_ERROR
6016  %s error.\n  Miscompares, starting at %s.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PICK_DISABLED_HIT
6017  Picking test error.\n  Got a pick hit with picking disabled.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PICK_OUTSIDE_HIT
6018  Picking test error.\n  Got a pick hit outside the picking area.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PICK_NO_HIT
6019  Picking test error.\n  Should have detected a pick hit.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_OUT_OF_MEMORY
6020  Out of memory.\n \
Probable_Cause(s): <Software System Error> \n \
Recommended_Action(s): <Contact System Administrator.>

$ FFB_TAR_FAILED
6021  %s failed.  \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>\n \
<Check for existence and/or permissions on %s.\n  Also check for available space in /tmp.>

$ FFB_UNCOMPRESS_FAILED
6022  %s failed.  \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>\n \
<Check for existence and/or permissions on %s.>\n

$ FFB_FORK_FAILED
6023  fork1(2) failed: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_EXECL_FAILED
6024  execl(2) failed: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_OPEN_FAILED
6025  Unable to open %s.\
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.> \
<Check device for existence and/or permissions on %s.>\n

$ FFB_IOCTL_READ_CLUT
6026  ioctl(2) failed trying to read CLUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_VIDEO_ON
6027  ioctl(2) failed trying to turn on FFB video.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POST_CLUT
6028  ioctl(2) failed trying to post CLUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_CLUT_RED
6029  Miscompare found in Red channel of CLUT entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_CLUT_GREEN
6030  Miscompare found in Green channel of CLUT entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_CLUT_BLUE
6031  Miscompare found in Blue channel of CLUT entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n W \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_IOCTL_READ_WLUT
6032  ioctl(2) failed trying to read WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POST_WLUT
6033  ioctl(2) failed trying to post WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_GET_XSUM
6034  ioctl(2) failed trying to get RAMDAC signature analysis.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_WLUT
6035  Miscompare found in WID LUT entry %d.\n  Expected = 0x%06x, Observed = 0x%06x, XOR = 0x%06x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_RAMDAC
6036  RAMDAC test failed.  The on-screen image is incorrect.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_SYSINFO
6037  sysinfo(2) failed getting hostname. \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Must be superuser.>\n

$ FFB_SEM_GET
6038  can't acquire console semaphore\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_GRAB_POINTER
6039  Cannot gain control of mouse: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_GRAB_KEYBOARD
6040  Cannot gain control of keyboard: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_IOCTL_GET_VIDMODE
6046  ioctl(2) failed trying to get current video mode.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_SET_VIDMODE
6047  ioctl(2) failed trying to set current video mode.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_GET_SYSINFO
6048  ioctl(2) failed trying to get FFB system info.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_SET_DIAGMODE
6049  ioctl(2) failed trying to go into Diagnostic mode.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_MMAP
6050  mmap(2) failed: %s.\n \
Probable_Cause(s): <Software system error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_MUNMAP
6051  munmap(2) failed: %s.\n \
Probable_Cause(s): <Software system error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_CLOSE_ERROR
6052  close(2) failed: %s.\n \
Probable_Cause(s): <Software system error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_GRAB_WINDOW
6053  DGA error grabbing window on screen %d.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_GET_TOKEN
6054  DGA error getting window from token on screen %d.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_IOCTL_GETOV
6055  ioctl(2) failed trying to read Transparent Overlay registers.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POSTOV
6056  ioctl(2) failed trying to post Transparent Overlay registers.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POSTCUR
6057  ioctl(2) failed trying to post cursor.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_GETCUR
6058  ioctl(2) failed trying to read cursor.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_NOT_FOUND
6059  No FFB device found on display 0.\n \
Probable_Cause(s): <The environmental variable DISPLAY is set wrong or the \n \
display being used is not using an FFB.> \
Recommended_Action(s): <Set the variable to a display that has the FFB plugged into it.>

$ FFB_X_CHANGED
6060  There is an inconsistency with the version of the X Window System.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Contact your system administrator.>

$ FFB_STAT_DUT
6061  stat(2) failed trying to get info about Device Under Test.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_STAT_SCREEN
6062  stat(2) failed trying to get info about screen 0:%d.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_OPEN_DISPLAY
6063  Can't access XWindows.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Try running xhost(1) or contact your system administrator.>

$ FFB_WAIT_FAILED
6064  wait(2) failed: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_SIGNAL
6065  signal(2) failed: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_THR_KILL
6066  thr_kill(2) failed\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_THR_JOIN
6067  thr_join(2) failed: %s\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_GETSIGS_NOSUNVTS
6071  To get signatures, run ffbtest from the command line.\n \

$ FFB_STEREO_ERROR
6072  Stereo image incorrect.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_SYSTEM_LWP_LIMIT
6075  System LWP limit exceeded.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_THREAD_ERROR
6076  Error %d creating thread.\n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_FILE_ERROR
6104  Error in getting the length of the file. %s \n \
Probable_Cause(s): <Software error.> \n \
Recommended_Action(s): <Reinstall software or contact your system administrator.>

$ FFB_STENCIL_ERROR
6105  Stencil test failed %s \n \
Probable_Cause(s): <Faulty 3DRAM.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PASSIN_ERROR
6106  Passin test failed %s \n \
Probable_Cause(s): <Faulty 3DRAM.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_BLEND2_ERROR
6107  Blend2 test failed %s \n \
Probable_Cause(s): <Faulty 3DRAM.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_IOCTL_POST_OWLUT
6208  ioctl(2) failed trying to post Overlay WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POST_PWLUT
6209  ioctl(2) failed trying to post Primary WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_OWLUT
6210  Miscompare found in Overlay WID LUT entry %d.\n  Expected = 0x%06x, Observed = 0x%06x, XOR = 0x%06x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PWLUT
6211  Miscompare found in Primary WID LUT entry %d.\n  Expected = 0x%06x, Observed = 0x%06x, XOR = 0x%06x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_IOCTL_READ_PAC2_CLUT
6212  ioctl(2) failed trying to read CLUT # %d.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_POST_PAC2_CLUT
6213  ioctl(2) failed trying to post CLUT # %d.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_PAC2_CLUT_RED
6214  Miscompare found in Red channel of CLUT # %d in entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PAC2_CLUT_GREEN
6215  Miscompare found in Green channel of CLUT # %d in entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_PAC2_CLUT_BLUE
6216  Miscompare found in Blue channel of CLUT # %d in entry %d.\n  Expected = 0x%02x, Observed = 0x%02x, XOR = 0x%02x.\n W \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_RAMDAC_SEP4
6217  RAMDAC test failed.  The on-screen image in sep 4 mode is incorrect.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_RAMDAC_SEP8
6218  RAMDAC test failed.  The on-screen image in sep 8 mode is incorrect.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_RAMDAC_COMB
6219  RAMDAC test failed.  The on-screen image in combined mode is incorrect.\n  \
Probable_Cause(s): <Faulty frame buffer.> \n \
Recommended_Action(s): <If the problem persists, contact your Sun Service provider.>

$ FFB_IOCTL_READ_OWLUT
6220  ioctl(2) failed trying to read Overlay WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

$ FFB_IOCTL_READ_PWLUT
6221  ioctl(2) failed trying to read Primary WID LUT.\n \
Probable_Cause(s): <Possibly hardware failure, likely software driver error>\n \
Recommended_Action(s): <Reinstall software first, if failure continues, see \
a System Administrator or your Sun Service provider.>

